## class OSGSIM_EXPORT osgSim::ConeSector

## Inheritance:

### Public Methods

ConeSector()
ConeSector(const ConeSector& copy, const osg::CopyOp& copyop = osg::CopyOp::SHALLOW_COPY)
ConeSector(const osg::Vec3& axis, float angle, float fadeangle=0.0f)
META_Object (osgSim, ConeSector)(const osg::Vec3& axis)
const osg::Vec3& getAxis() const
void setAngle(float angle, float fadeangle=0.0f)
float getAngle() const
float getFadeAngle() const
virtual float operator() (const osg::Vec3& eyeLocal) const

### Protected Fields

osg::Vec3 _axis
float _cosAngle
float _cosAngleFade

### Protected Methods

virtual ~ConeSector()

### Inherited from Sector:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const

## Documentation

`ConeSector()`

`ConeSector(const ConeSector& copy, const osg::CopyOp& copyop = osg::CopyOp::SHALLOW_COPY)`

`ConeSector(const osg::Vec3& axis, float angle, float fadeangle=0.0f)`

`META_Object (osgSim, ConeSector)(const osg::Vec3& axis)`

`const osg::Vec3& getAxis() const`

`void setAngle(float angle, float fadeangle=0.0f)`

`float getAngle() const`

`float getFadeAngle() const`

`virtual float operator() (const osg::Vec3& eyeLocal) const`

`virtual ~ConeSector()`

`osg::Vec3 _axis`

`float _cosAngle`

`float _cosAngleFade`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.